kresctl(8)

NAME
kresctl - Control Knot Resolver @version@, the full caching DNSSEC-enabled resolver

SYNOPSIS
kresctl [-s|--socket API_SOCKET] <command> <args>

DESCRIPTION
kresctl is a control tool for Knot Resolver, a DNSSEC-enabled full caching resolver.

kresctl may be used to control and inspect the configuration of running Knot Resolver via its HTTP API. Full documentation is available at https://www.knot-resolver.cz/documentation/latest/ or in package documentation (available as knot-resolver-doc package in most distributions.

OPTIONS
The available options are:

-s <api_socket>, --socket <api_socket>
    Specify how to connect to a running Knot Resolver. Accepts path to Unix-domain socket or host:port. Defaults to /var/run/knot-resolver/manager.sock Some commands do not require communication with the running resolver. In such cases, the value of this option is ignored and the command may succeed even if the socket is invalid. -h, --help Print help message and exit.

COMMANDS

config [-d|--delete] [--stdin] json_ptr [new_value]
    Get or modify resolver's runtime configuration. json_ptr follows RFC 6901 and specifies, which part of the configuration will the tool operate on. This argument is required. When not given any additional options or arguments, prints the current configured value. Equivalent to GET method in the underlying HTTP API. When -d or --delete is provided, kresctl tries to remove the runtime configuration subtree. The operation fails if it renders the configuration invalid. Equivalent to the DELETE method in the HTTP API. When --stdin or new_value are provided, the new value (from the argument or from reading stdin) is put into the configuration at the given json_ptr. The operation fails if it renders the configuration invalid. Equivalent to PUT method in the underlying HTTP API.

stop
    Gracefully stops the running resolver.

SEE ALSO
kresd(8), @man_seealso_systemd@https://www.knot-resolver.cz/documentation/latest/

AUTHORS
kresd developers are mentioned in the AUTHORS file in the distribution.